Bug 810704 - [abrt] calibre-0.8.33-2.fc16: reader.py:305:_spine_from_opf:OEBError: Spine is empty
[abrt] calibre-0.8.33-2.fc16: reader.py:305:_spine_from_opf:OEBError: Spine i...
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-08 08:51 EDT by pasqual milvaques
Modified: 2013-02-13 20:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 20:42:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
error trace that calibre returns as the result of the conversion try (5.20 KB, text/plain)
2012-04-08 11:22 EDT, pasqual milvaques
no flags Details

  None (edit)
Description pasqual milvaques 2012-04-08 08:51:57 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.3.0-8.fc16.x86_64
reason:         reader.py:305:_spine_from_opf:OEBError: Spine is empty
time:           dg 08 abr 2012 14:48:23 CEST
uid:            500

:reader.py:305:_spine_from_opf:OEBError: Spine is empty
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 186, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
:    override_input_metadata=True)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 968, in run
:    encoding=self.input_plugin.output_encoding)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1114, in create_oebbook
:    reader()(oeb, path_or_stream)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 70, in __call__
:    self._all_from_opf(opf)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 617, in _all_from_opf
:    self._spine_from_opf(opf)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 305, in _spine_from_opf
:    raise OEBError("Spine is empty")
:OEBError: Spine is empty
:Local variables in innermost frame:
:spine: <calibre.ebooks.oeb.base.Spine object at 0x3fa5490>
:self: <calibre.ebooks.oeb.reader.OEBReader object at 0x3fbd290>
:elem: <Element {http://www.idpf.org/2007/opf}itemref at 0x40375f0>
:manifest: <calibre.ebooks.oeb.base.Manifest object at 0x3fa5450>
:opf: <Element {http://www.idpf.org/2007/opf}package at 0x4014820>
:idref: 'id1'

:using variables in  inte search and replace option for converting books
:search expression:
:replace expression:
Comment 1 Kevin Fenzi 2012-04-08 10:42:46 EDT
Can you see if the problem persists with the newest version from my side repo: 

cd /etc/yum.respos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 2 pasqual milvaques 2012-04-08 11:21:35 EDT
yes, the same error happens with the upgraded version. I attach the error that the return dialog gives me the option to see
Comment 3 pasqual milvaques 2012-04-08 11:22:38 EDT
Created attachment 576042 [details]
error trace that calibre returns as the result of the conversion try
Comment 4 Gianluca 2012-04-09 12:56:49 EDT
don't know how to reproduce
it happened during/at the end of a bulk conversion of about 170 epub files to mobi file format. Only 90 conversions were successfully

Package: calibre-0.8.33-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 5 Fedora End Of Life 2013-01-16 18:18:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Fedora End Of Life 2013-02-13 20:42:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.